Assign Quote to BigCommerce Order

Associates an existing BigCommerce order with a specific quote based on the provided `quote_id`. In order to successfully assign a quote to an order, it must be in the Open status. This endpoint **does not** convert an unpurchased quote into a new BigCommerce order. The endpoint updates the existing order with the shipping and tax information provided in the request. Equivalent Storefront GraphQL API Mutation: `quoteOrdered`.

Authentication

AuthorizationBearer
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| |`Authorization`|`Bearer {{B2B_JWT_TOKEN}}`| You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section[...]

Path parameters

quote_idstringRequired

Request

This endpoint expects an object.
orderIdstringOptional

The B2B Edition internal order ID. Note that this is different from the BigCommerce order ID returned in the bcOrderId field.

storeHashstringOptional
The unique store hash for the BigCommerce store.
shippingTotaldoubleOptional
The total cost of shipping on the quote.
taxTotaldoubleOptional
The tax value applied to the quote's total.
shippingMethodobjectOptional
Contains information on the quote's shipping method.

Response

OK
codeintegerDefaults to 200
HTTP Response Code
dataobject
messagestringDefaults to SUCCESS

Errors

400
Bad Request Error